From: <a href="/blend/av.cgi?id=1120">Chances</a><BR>
Date: 28 October 2003<P>

Rhetoric - I read the article with some interest, however was let down. I found it to be one woman's pov but I suspect written off the cuff in a very reactionary manner without too much deep thought. <BR>
<BR>
She read like a jaded graduate of the sexual revolution in a world that is (and I felt this to be the most relevant point of the article) post-sex-revolutionary. She made some interesting points, some of which were accurate however I feel she draws incorrect conclusions from them.<BR>
<BR>
Her main beef in the article seems to be:<BR>
No one has 'sex' (a.k.a., hot seething penis-vagina sex)anymore. Well, maybe she doesn't. This is apparently a direct result of the pussy-whipped men (and who trusts these men anyway?) that this generation has produced as a result of the sexual revolution and a misrepresentation of the joy of vaginal vrs clitoral orgasms. Oral sex has taken over, and it's just not as good. <BR>
<BR>
Well, I won't be buying a subscription to Salon today. <BR>
<BR>
And a hello to all.   : ) 
<HR>
From: <a href="/blend/av.cgi?id=328">Rhetoric</a><BR>
Date: 28 October 2003<P>

Chances,<BR>
I totally agree with your observation that this woman might be jaded, bitter, etc. What struck me as interesting about this was the claim that no woman reaches vaginal orgasm and the inference to this change in oral sex morays. Has oral sex changed the sexual climate? I know many men who claim to love giving this pleasure to a woman. Where as, even just 10 years ago (when I was in college), that subject would have been avoided or even denied! And, with many new films coming out with graphic oral sex scenes, I am curious why all the attn. now.<BR>
<BR>
To me, Salon is a good sight. Even commentary I disagree with gets me thinking.<BR>
<BR>
Rhet 
<HR>
From: <a href="/blend/av.cgi?id=48">Laurel Ahlfeld</a><BR>
Date: 28 October 2003<P>

Does anyone know where Deeva has gone? I just saw a painting that reminded me of her work and how much I adore it.
<HR>
From: <a href="/blend/av.cgi?id=205">Violet</a><BR>
Date: 28 October 2003<P>

Rhet~ <a href="/blend/wv.cgi?id=2003.10.27.21.56.12132">Article from Salon.com</a>  was really interesting.  I think it has relevence here. Thanks. ~Vi
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 28 October 2003<P>

hooray kirk:  you absolutely rock!  you did it, i got in, no more diversions along the way....<BR>
<BR>
thanks!
<HR>